package it.integry.integrywmsnative.gest.accettazione_ordini_picking;

import java.util.HashMap;

import it.integry.integrywmsnative.gest.accettazione_ordini_picking.filters.FilterCodArtLayoutView;
import it.integry.integrywmsnative.gest.accettazione_ordini_picking.filters.FilterDescrLayoutView;
import it.integry.integrywmsnative.gest.accettazione_ordini_picking.filters.FilterPosizioneLayoutView;
import it.integry.integrywmsnative.ui.filter_chips.FilterChipDTO;

public class AccettazioneOrdiniPickingBindings {

    public static final int COD_ART_FILTER_ID = 0;
    public static final int DESCR_FILTER_ID = 1;
    public static final int POS_FILTER_ID = 2;

    public static final HashMap<Integer, FilterChipDTO> AVAILABLE_FILTERS = new HashMap<>() {
        {
            put(COD_ART_FILTER_ID, new FilterChipDTO()
                    .setID(COD_ART_FILTER_ID)
                    .setPosizione(0)
                    .setFilterChipText("Codice articolo")
                    .setFilterLayoutView(new FilterCodArtLayoutView()));

            put(DESCR_FILTER_ID, new FilterChipDTO()
                    .setID(DESCR_FILTER_ID)
                    .setPosizione(1)
                    .setFilterChipText("Descrizione articolo")
                    .setFilterLayoutView(new FilterDescrLayoutView()));

            put(POS_FILTER_ID, new FilterChipDTO()
                    .setID(POS_FILTER_ID)
                    .setPosizione(1)
                    .setFilterChipText("Posizione")
                    .setFilterLayoutView(new FilterPosizioneLayoutView()));
        }};

}
